package com.keao.edu.user.dto;

import com.keao.edu.user.entity.ExamOrganizationRelation;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @Author Joburgess
 * @Date 2020.07.16
 */
public class ExamOrganStatisticsDto extends ExamOrganizationRelation {

    private List<ExamLifecycleLogDto> examLifecycleLogs;

    private Map<String, BigDecimal> dayTransAmount;

    private Map<String, BigDecimal> dayPaymentAmount;

    public List<ExamLifecycleLogDto> getExamLifecycleLogs() {
        return examLifecycleLogs;
    }

    public void setExamLifecycleLogs(List<ExamLifecycleLogDto> examLifecycleLogs) {
        this.examLifecycleLogs = examLifecycleLogs;
    }

    public Map<String, BigDecimal> getDayTransAmount() {
        return dayTransAmount;
    }

    public void setDayTransAmount(Map<String, BigDecimal> dayTransAmount) {
        this.dayTransAmount = dayTransAmount;
    }

    public Map<String, BigDecimal> getDayPaymentAmount() {
        return dayPaymentAmount;
    }

    public void setDayPaymentAmount(Map<String, BigDecimal> dayPaymentAmount) {
        this.dayPaymentAmount = dayPaymentAmount;
    }
}
